Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.sec
Class ECPrivateKeyStructure

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.sec.ECPrivateKeyStructure

All Implemented Interfaces:
  ASN1Encodable, Encodable

Deprecated. use ECPrivateKey

public class ECPrivateKeyStructure
extends ASN1Object

the elliptic curve private key object from SEC 1

Constructor Summary
`ECPrivateKeyStructure(ASN1Sequence seq)` Deprecated.
`ECPrivateKeyStructure(java.math.BigInteger key)` Deprecated.
`ECPrivateKeyStructure(java.math.BigInteger key, ASN1BitString publicKey, ASN1Encodable parameters)` Deprecated.
`ECPrivateKeyStructure(java.math.BigInteger key, ASN1Encodable parameters)` Deprecated.

Method Summary
`java.math.BigInteger` | `getKey()` Deprecated.
`ASN1Primitive` | `getParameters()` Deprecated.
`ASN1BitString` | `getPublicKey()` Deprecated.
`ASN1Primitive` | `toASN1Primitive()` Deprecated. ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECPrivateKeyStructure

    public ECPrivateKeyStructure(ASN1Sequence seq)

  Deprecated.

### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key)

  Deprecated.

### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key,
                                 ASN1Encodable parameters)

  Deprecated.

### ECPrivateKeyStructure

    public ECPrivateKeyStructure(java.math.BigInteger key,
                                 ASN1BitString publicKey,
                                 ASN1Encodable parameters)

  Deprecated.

Method Detail

### getKey

    public java.math.BigInteger getKey()

  Deprecated.

### getPublicKey

    public ASN1BitString getPublicKey()

  Deprecated.

### getParameters

    public ASN1Primitive getParameters()

  Deprecated.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Deprecated.
  ECPrivateKey ::= SEQUENCE { version INTEGER { ecPrivkeyVer1(1) } (ecPrivkeyVer1), privateKey OCTET STRING, parameters [0] Parameters OPTIONAL, publicKey [1] BIT STRING OPTIONAL }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD